# ------- HEADERS -------
# documentation: https://www.netlify.com/docs/headers-and-basic-auth/
 
# all pages
[[headers]]
for = "/*"
[headers.values]
# for a brief introduction into CSPs, see https://infosec.mozilla.org/guidelines/web_security#content-security-policy
# for an in-depth description, see [An Introduction to Content Security Policy](https://www.html5rocks.com/en/tutorials/security/content-security-policy/)
# for an up-to-date list of available policies, see
# - https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Content-Security-Policy
# - [OWASP CSP Cheat Sheet](https://github.com/OWASP/CheatSheetSeries/blob/master/cheatsheets/Content_Security_Policy_Cheat_Sheet.md)
Content-Security-Policy = '''
  base-uri 'self';

  default-src 'none';
  prefetch-src 'self';

  form-action 'none';
  frame-ancestors 'none'
'''
# [HSTS Preload](https://docs.netlify.com/domains-https/https-ssl/#hsts-preload)
Strict-Transport-Security = '''
  max-age=63072000;
  includeSubDomains;
  preload
'''
Referrer-Policy = "strict-origin-when-cross-origin"
X-Content-Type-Options = "nosniff"
X-Frame-Options = "DENY"
X-XSS-Protection = "1; mode=block"
